# TdApi.MessageBasicGroupChatCreate (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageBasicGroupChatCreate

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageBasicGroupChatCreate

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageBasicGroupChatCreate

Enclosing class:
  TdApi

public static final class TdApi.MessageBasicGroupChatCreate extends TdApi.MessageContent
A newly created basic group.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long[]`
`memberUserIds`
User identifiers of members in the basic group.
`String`
`title`
Title of the basic group.

## Constructor Summary

Constructors
Constructor
Description
`MessageBasicGroupChatCreate()`
A newly created basic group.
`MessageBasicGroupChatCreate(DataInput input)`
A newly created basic group.
`MessageBasicGroupChatCreate(String title, long[] memberUserIds)`
A newly created basic group.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Title of the basic group.

### memberUserIds

public long[] memberUserIds
User identifiers of members in the basic group.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageBasicGroupChatCreate

public MessageBasicGroupChatCreate()
A newly created basic group.

### MessageBasicGroupChatCreate

public MessageBasicGroupChatCreate(String title, long[] memberUserIds)
A newly created basic group.

Parameters:
  `title` - String Title of the basic group.
  `memberUserIds` - long[] User identifiers of members in the basic group.

### MessageBasicGroupChatCreate

public MessageBasicGroupChatCreate(DataInput input) throws IOException
A newly created basic group.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`